> For the complete documentation index, see [llms.txt](https://earnbit.gitbook.io/earnbit/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://earnbit.gitbook.io/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/my-order-history.md).

# My Order History

### Details

<mark style="color:green;">`POST`</mark> `https://api.earnbit.com/api/v1/account/order_history`

#### Headers

| Name                                              | Type   | Description                                                                                                               |
| ------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------- |
| X-TXC-APIKEY<mark style="color:red;">\*</mark>    | STRING | Public [API key](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) |
| X-TXC-PAYLOAD<mark style="color:red;">\*</mark>   | STRING | Сonverted Base64 string containing body JSON                                                                              |
| X-TXC-SIGNATURE<mark style="color:red;">\*</mark> | STRING | Encrypted HmacSHA512 string containing body JSON with a API secret key                                                    |

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                              | Example                        |
| ----------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------ |
| offset                                    | STRING  | Default: 0                                                                                                                                                               | 0                              |
| limit                                     | STRING  | Default: 50                                                                                                                                                              | 10                             |
| request<mark style="color:red;">\*</mark> | STRING  | A request path without the domain name                                                                                                                                   | /api/v1/account/order\_history |
| nonce<mark style="color:red;">\*</mark>   | NUMERIC | A 13-character number that must always be greater than the nonce of the previous completed request (we suggest generating a nonce as the UNIX timestamp in milliseconds) | 1704070810000                  |

<details>

<summary>CURL Example</summary>

```javascript
curl --location --request POST 'https://api.earnbit.com/api/v1/account/order_history' \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-PAYLOAD: 0000000000XXXXXXXXXXXXXXXXX=' \
--header 'X-TXC-SIGNATURE: 0000000000XXXXXXXXXXXXXXXXX' \
--data-raw '{"request":"/api/v1/account/order_history","offset":"0","limit":"10","nonce":1704070810000}'
```

</details>

{% tabs %}
{% tab title="200: OK Successful" %}
**Response parameters:**

|    Name    |   Type  | Description                                   |
| :--------: | :-----: | --------------------------------------------- |
|     id     | NUMERIC | Order ID                                      |
|   amount   |  STRING | Order amount (in 1st ticker of pair)          |
|    price   |  STRING | Order price                                   |
|    type    |  STRING | Order type                                    |
|    side    |  STRING | Order side (buy / sell)                       |
|    ctime   | NUMERIC | Time of order creation                        |
|    ftime   | NUMERIC | Time of order completion                      |
|  takerFee  |  STRING | Order taker fee                               |
|  makerFee  |  STRING | Order maker fee                               |
|  dealStock |  STRING | Executed Order Amount (in 1st Ticker of Pair) |
|  dealMoney |  STRING | Executed Order Amount (in 2nd Ticker of Pair) |
| marketName |  STRING | Order pair                                    |

**Response example:**

```javascript
{
    "code": 200,
    "success": true,
    "message": "",
    "result": {
        "BNB_USDT": [
            {
                "id": 1000122476,
                "amount": "0.025",
                "price": "230",
                "type": "limit",
                "side": "buy",
                "ctime": 1.714045785954E9,
                "ftime": 1.714045785954E9,
                "takerFee": "0.0004",
                "makerFee": "0.0004",
                "dealStock": "0.025",
                "dealMoney": "5.75",
                "marketName": "BNB_USDT"
            }
        ],
        ...
        ]
    }
}
```

{% endtab %}

{% tab title="400: Bad Request" %}
**Response example 1:**

```javascript
{
    "code": 400,
    "success": false,
    "message": "authentication failure",
    "result": []
}
```

**This error occurs in the following cases:**

* The request was signed incorrectly.
* Some of the provided parameters are incorrect.
* Provided [nonce](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) is incorrect or less than on previous completed request
* The base URL or path is incorrect.
* The API keys are not [activated](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md).

**Response example 2:**

```json
{
    "code": 400,
    "success": false,
    "message": "invalid input",
    "result": []
}
```

**This error occurs in the following cases:**

* One or more body params provided incorrectly
* Required body params are not provided
  {% endtab %}

{% tab title="404: Not Found" %}
**Response example:**

```javascript
{    
    "timestamp": 1660811292806,
    "status": 404,
    "error": "Not Found",
    "message": "",
    "path": "/api/v1/order/test"
}
```

**This error occurs in the following cases:**

* The request was made with undefined data and the service cannot find the data for response.
  {% endtab %}
  {% endtabs %}
